summaryrefslogtreecommitdiffstats
path: root/contrib/dialog/samples/yesno3
diff options
context:
space:
mode:
authornwhitehorn <nwhitehorn@FreeBSD.org>2011-01-12 14:55:02 +0000
committernwhitehorn <nwhitehorn@FreeBSD.org>2011-01-12 14:55:02 +0000
commit3d4e8889889e5e36302454225999f7e146d3219c (patch)
treefa315b999f531039df54ab7af8e99f7e8daad77c /contrib/dialog/samples/yesno3
parentb905920a72950a63c9782b4911d252bfac08db6e (diff)
downloadFreeBSD-src-3d4e8889889e5e36302454225999f7e146d3219c.zip
FreeBSD-src-3d4e8889889e5e36302454225999f7e146d3219c.tar.gz
Update dialog to version 20100428. This changes the license under which
dialog is distributed from GPLv2 to LGPLv2 and introduces a number of new features and a new and better libdialog API. The existing libdialog will be kept temporarily as libodialog for compatibility purposes until sade, sysinstall and tzsetup have been either updated or replaced. __FreeBSD_version is now 900030. Discussed on: -current Approved by: core Obtained from: http://invisible-island.net/dialog
Diffstat (limited to 'contrib/dialog/samples/yesno3')
-rwxr-xr-xcontrib/dialog/samples/yesno318
1 files changed, 18 insertions, 0 deletions
diff --git a/contrib/dialog/samples/yesno3 b/contrib/dialog/samples/yesno3
new file mode 100755
index 0000000..f67fb85
--- /dev/null
+++ b/contrib/dialog/samples/yesno3
@@ -0,0 +1,18 @@
+#!/bin/sh
+# $Id: yesno3,v 1.6 2010/01/13 10:40:39 tom Exp $
+
+. ./setup-vars
+
+$DIALOG --timeout 20 --title "YES/NO BOX" "$@" \
+ --yesno "Hi, this is a yes/no dialog box. You can use this to ask \
+questions that have an answer of either yes or no. \
+BTW, do you notice that long lines will be automatically \
+wrapped around so that they can fit in the box? You can \
+also control line breaking explicitly by inserting \
+'backslash n' at any place you like, but in this case, \
+auto wrap around will be disabled and you will have to \
+control line breaking yourself." 0 0
+
+retval=$?
+
+. ./report-yesno
OpenPOWER on IntegriCloud